Description
Currently you can filter issues with related issues.

is

any issues in project

any issues not in project

no issues in project

none

all

Propose that adding

any open

none open

Would improve the software

* You could then construct issue queries that only return issues that can actually be progressed

o This reduces your cognitive load having to think about whether a given task can be done or not
e Can also construct queries that return issues that are blocked by something

o This allows you to troubleshoot their dependencies

Related issues:
Is duplicate of Redmine - Feature #15029: When filter by "blocked by" = "any"... Closed

History

#1 - 2015-06-09 11:59 - Matteo Bonaker
Is this possibily another duplicate of #3265 or #15029?

#2 - 2015-06-09 12:26 - Adrian Wilkins
Agree that this is a dupe of #15029, but not #3265

#3265 was the creation of the relationship-filtering feature, this ticket and #15029 refer to improving that filter so that you can use it to find issues with

and without active blockers.

There's also a patch #16621 which seems to implement this ; | couldn't get this to apply against 3.0.3 - I've asked the original author which revision he

patched in #166214#note-2

#3 - 2015-06-10 04:14 - Mischa The Evil

- Is duplicate of Feature #15029: When filter by "blocked by" = "any", take into account if blocking issue is already closed (so no really blocking) added

#4 - 2015-06-10 04:18 - Mischa The Evil

- Status changed from New to Closed
- Resolution set to Duplicate

Adrian Wilkins wrote:

Agree that this is a dupe of #15029 [...]

So I'm closing this one accordingly.
Adrian Wilkins wrote:

#3265 was the creation of the relationship-filtering feature, this ticket and #15029 refer to improving that filter [...]

Indeed.

Thanks for the feedback. Mischa.

2025-08-23 22


https://www.redmine.org/issues/15029
https://www.redmine.org/issues/3265
https://www.redmine.org/issues/15029
http://www.tcpdf.org

